RTEMS: Data Fields - Variables

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches

### - b -

- b : APSR_Type, CONTROL_Type, IPSR_Type, xPSR_Type
- B0000Sel : RTEMS_PACKED
- B8000Sel : RTEMS_PACKED
- bad_blocks : _rtems_rfs_file_system, rtems_jffs2_info
- bad_size : rtems_jffs2_info
- bAddrEn : QspiInstFrame_t::_QspiInstFrame::_QspiInstFrameBM
- bAddrLen : QspiInstFrame_t::_QspiInstFrame::_QspiInstFrameBM
- bal : rtems_bdbuf_buffer::rtems_bdbuf_avl_node
- BankSize : RTEMS_PACKED
- Barrier : Barrier_Control
- base : _rtems_rfs_group, rtems_nvdisk_device_desc, rtems_rtl_archive_symbols, rtems_rtl_bit_alloc, rtems_rtl_data, rtems_rtl_obj_print, rtems_rtl_obj_sect
- Base : Scheduler_CBS_Node, Scheduler_EDF_Context, Scheduler_EDF_Node, Scheduler_priority_affinity_SMP_Node, Scheduler_priority_Context, Scheduler_priority_Node, Scheduler_priority_SMP_Node, Scheduler_simple_Context, Scheduler_SMP_Context, Scheduler_SMP_Node, Scheduler_strong_APA_Node
- base : Untar_GzChunkContext, Untar_XzChunkContext
- baud : mpc55xx_dspi_bus_entry
- bBroadcastDetected : _GmacRxDescriptor::_GmacRxStatus::_GmacRxStatusBM
- bCFI : _GmacRxDescriptor::_GmacRxStatus::_GmacRxStatusBM
- bContinuesRead : QspiInstFrame_t::_QspiInstFrame::_QspiInstFrameBM
- bDataEn : QspiInstFrame_t::_QspiInstFrame::_QspiInstFrameBM
- bdbuf : rtems_bdbuf_group
- bds : rtems_bdbuf_cache, rtems_bdbuf_swapout_transfer
- bds_per_group : rtems_bdbuf_group, rtems_disk_device
- bDstPeriphID : _XdmadChannel
- bDstRxIfID : _XdmadChannel
- bDstTxIfID : _XdmadChannel
- bDummyCycles : QspiInstFrame_t::_QspiInstFrame::_QspiInstFrameBM
- begin : Memory_Area, rtems_bdpart_partition, rtems_rbheap_chunk
- bEof : _GmacRxDescriptor::_GmacRxStatus::_GmacRxStatusBM
- bError : _GmacTxDescriptor::_GmacTxStatus::_GmacTxStatusBM
- bExhausted : _GmacTxDescriptor::_GmacTxStatus::_GmacTxStatusBM
- BFAR : SCB_Type
- bId : _GmacDriver
- bID : _Mcid
- bIfID : _XdmaHardwareInterface
- bInstEn : QspiInstFrame_t::_QspiInstFrame::_QspiInstFrameBM
- BIOSDataSel : RTEMS_PACKED
- bIrqOwner : _XdmadChannel
- bit_map : Priority_bit_map_Control
- Bit_map : Scheduler_priority_Context
- bits : rtems_rtl_bit_alloc
- bits_per_word : spi_bus, spi_ioc_transfer
- BitsPerPixel : RTEMS_PACKED
- blank : rtems_fdisk_driver_handlers
- bLastBuffer : _GmacTxDescriptor::_GmacTxStatus::_GmacTxStatusBM
- blob : rtems_fdt_blob, rtems_fdt_handle
- blobs : rtems_fdt_data
- block : _rtems_rfs_inode_handle, Heap_Error_context, rtems_bdbuf_buffer, rtems_blkdev_sg_buffer, rtems_debugger_block, rtems_fdisk_page_desc, rtems_rfs_block_pos_s, Scheduler_Operations
- block_base : rtems_nvdisk_device_ctl
- block_bitmap : _rtems_rfs_group
- block_bitmap_buffer : _rtems_rfs_group
- block_count : _rtems_rfs_inode, rtems_disk_device, rtems_flashdisk, rtems_nvdisk
- block_major : Priority_bit_map_Information
- block_map_doubly_blocks : _rtems_rfs_file_system
- block_map_singly_blocks : _rtems_rfs_file_system
- block_minor : Priority_bit_map_Information
- block_num : ramdisk, rtems_ramdisk_config
- block_offset : _rtems_rfs_inode
- block_recs : rtems_rtl_unresolved
- block_size : _rtems_rfs_file_system, _rtems_rfs_format_config, ALT_QSPI_DEV_SIZE_CONFIG_s, ramdisk, rtems_disk_device, rtems_flashdisk, rtems_flashdisk_config, rtems_jffs2_flash_control, rtems_nvdisk, rtems_nvdisk_config, rtems_ramdisk_config, rtems_rtl_bit_alloc
- block_to_media_block_shift : rtems_disk_device
- blocks : _rtems_rfs_file_system, rtems_flashdisk, rtems_rfs_block_map_s, rtems_rtl_bit_alloc, rtems_rtl_unresolved
- blocks_per_block : _rtems_rfs_file_system
- Blue : RTEMS_PACKED
- BlueFieldPosition : RTEMS_PACKED
- BlueMaskSize : RTEMS_PACKED
- bMultiHashMatch : _GmacRxDescriptor::_GmacRxStatus::_GmacRxStatusBM
- BnkNumberOfImagePages : RTEMS_PACKED
- bno : rtems_rfs_block_pos_s
- bNoCRC : _GmacTxDescriptor::_GmacTxStatus::_GmacTxStatusBM
- bnum : rtems_rfs_buffer_handle_t
- body : rtems_test_parallel_job
- Boff : ISI_R2Y
- boff : rtems_rfs_block_pos_s
- bOptEn : QspiInstFrame_t::_QspiInstFrame::_QspiInstFrameBM
- bOptLen : QspiInstFrame_t::_QspiInstFrame::_QspiInstFrameBM
- bOwnership : _GmacRxDescriptor::_GmacRxAddr::_GmacRxAddrBM
- bPeriphID : _XdmaHardwareInterface
- bPolling : _Mcid
- bpos : _rtems_rfs_file_handle, rtems_rfs_block_map_s
- bpp : Mode_params
- bPriorityDetected : _GmacRxDescriptor::_GmacRxStatus::_GmacRxStatusBM
- bSof : _GmacRxDescriptor::_GmacRxStatus::_GmacRxStatusBM
- bSrcPeriphID : _XdmadChannel
- bSrcRxIfID : _XdmadChannel
- bSrcTxIfID : _XdmadChannel
- bss_base : rtems_rtl_obj
- bss_size : rtems_rtl_obj
- bState : _Mcid
- bTransfer : _XdmaHardwareInterface
- budget : Scheduler_CBS_Parameters
- budget_algorithm : _Thread_Control, Thread_Configuration, Thread_Start_information
- budget_callout : _Thread_Control, Thread_Configuration, Thread_Start_information
- buf : i2c_msg, stm32f4_i2c_message, Untar_ChunkContext, Untar_XzChunkContext
- buf_code : bcm2835_mbox_buf_hdr
- buf_size : bcm2835_mbox_buf_hdr
- buffer : _rtems_rfs_file_handle, _rtems_rfs_inode_handle, CORE_message_queue_Buffer, rtems_bdbuf_buffer, rtems_blkdev_sg_buffer, rtems_capture_buffer, rtems_jffs2_compressor_control, rtems_rfs_buffer_handle_t, rtems_rtl_obj_cache, rtems_rtl_obj_cpmp, rtems_stdio_redirect
- buffer_max : rtems_bdbuf_config
- buffer_min : rtems_bdbuf_config
- buffer_min_count : rtems_bdbuf_cache
- buffer_size : Partition_Control, rtems_stdio_redirect
- buffer_waiters : rtems_bdbuf_cache
- buffers : _rtems_rfs_file_system, rtems_bdbuf_cache
- buffers_count : _rtems_rfs_file_system
- BuffSize : UartChannel, UsartChannel
- bufnum : rtems_blkdev_request
- bufs : rtems_blkdev_request
- bUnderrun : _GmacTxDescriptor::_GmacTxStatus::_GmacTxStatusBM
- bUniHashMatch : _GmacRxDescriptor::_GmacRxStatus::_GmacRxStatusBM
- bus : drvmgr_dev, i2c_dev, mpc55xx_dspi_bus_entry
- bus_fd : i2c_dev
- bus_number : mpc55xx_dspi_bus_entry
- bus_path : sc16is752_i2c_context
- bus_type : drvmgr_bus, drvmgr_drv
- bUsed : _GmacTxDescriptor::_GmacTxStatus::_GmacTxStatusBM
- businfo : drvmgr_dev
- bVlanDetected : _GmacRxDescriptor::_GmacRxStatus::_GmacRxStatusBM
- bWakeupThreshold : _GmacQueueDriver
- bWrap : _GmacRxDescriptor::_GmacRxAddr::_GmacRxAddrBM, _GmacTxDescriptor::_GmacTxStatus::_GmacTxStatusBM
- bXdmac : _XdmaHardwareInterface
- bXfrType : QspiInstFrame_t::_QspiInstFrame::_QspiInstFrameBM
- BytesPerScanLine : RTEMS_PACKED